local require = GLOBAL.require
GetPlayer = GLOBAL.GetPlayer
local SpawnPrefab = GLOBAL.SpawnPrefab
--
require "class"

local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local ACTIONS = GLOBAL.ACTIONS
local Action = GLOBAL.Action
        TECH = GLOBAL.TECH

PrefabFiles = {

	"fungusred",
	"fungusgreen",
	"fungusredhouse",
	"fungusgreenhouse",
    "fungusblue",
    "fungusbluehouse",
    "gross",
    "mimic",
    "mimicspawn",
    --Todo
    "owlcken",
    "owlster",
    "owlchick",
    "owlckennest",
    "owlchickegg",
    "wolphin",
	--Todo
    "puppet",
    "evilpuppet",
    "puppeteer",
    "desertting",
	"DSspawn",
}

local assets=
{
    Asset("ATLAS", "images/inventoryimages/gross.xml"),
    Asset("IMAGE", "images/inventoryimages/gross.tex"),
    Asset("ATLAS", "images/inventoryimages/fungusredhouse.xml"),
    Asset("IMAGE", "images/inventoryimages/fungusredhouse.tex"),
    Asset("ATLAS", "images/inventoryimages/fungusgreenhouse.xml"),
    Asset("IMAGE", "images/inventoryimages/fungusgreenhouse.tex"),
    Asset("ATLAS", "images/inventoryimages/fungusbluehouse.xml"),
    Asset("IMAGE", "images/inventoryimages/fungusbluehouse.tex"),
    Asset("ATLAS", "images/inventoryimages/puppet.xml"),
    Asset("IMAGE", "images/inventoryimages/puppet.tex"),
}

AddMinimapAtlas("images/inventoryimages/fungusbluehouse.xml")
AddMinimapAtlas("images/inventoryimages/fungusredhouse.xml")
AddMinimapAtlas("images/inventoryimages/fungusgreenhouse.xml")

GLOBAL.STRINGS.NAMES.PUPPETEER = "puppeteer"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.PUPPETEER = "Is he a friend of Maxwell?"
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.PUPPETEER = "I wonder if his hat and coat burn well..."
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.PUPPETEER = "He no fights like man! He hides behind puppets!"
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.PUPPETEER = "Manipulating is, most of the time, better than being manipulated."
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.PUPPETEER = "HE IS SKILLED IN THE ART OF PUPPETEERING."
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.PUPPETEER = "I've never sighted a humanoid creature like him before..."
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.PUPPETEER = "Well, I got to admit he's good at making wood puppets!"
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.PUPPETEER = "He is far weaker than me. \nThat's not surprising, though."
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
	GLOBAL.STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.PUPPETEER = "Why does he fight with puppets instead of with spears and swords?"
	GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.PUPPETEER = "Will he allow us to play with his puppets?"
end

GLOBAL.STRINGS.NAMES.PUPPET = "puppet"
GLOBAL.STRINGS.RECIPE_DESC.PUPPET = "make your own minions!"

GLOBAL.STRINGS.NAMES.PUPPET = "puppet"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.PUPPET = "... Who's controlling it?"
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.PUPPET = "What kind of wood are they made of? \nProbably the flammable kind."
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.PUPPET = "Wolfgang breaks wood puppet easily!"
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.PUPPET = "Am I also a puppet? \nA toy someone plays with?"
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.PUPPET = "PUPPETS ARE EASY TO MANIPULATE. THEY REMIND ME OF HUMANS."
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.PUPPET = "I simply have no logic explanation for these puppet-like creatures."
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.PUPPET = "It's very easy to control, eh!"
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.PUPPET = "I used to have much better puppets."
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
	GLOBAL.STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.PUPPET = "Shall you fight with or against me?"
	GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.PUPPET = "That's a strange toy..."
end

GLOBAL.STRINGS.NAMES.EVILPUPPET = "puppet"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.EVILPUPPET = "... Who's controlling it?"
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.EVILPUPPET = "What kind of wood are they made of? \nProbably the flammable kind."
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.EVILPUPPET = "Wolfgang breaks wood puppet easily!"
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.EVILPUPPET = "Am I also a puppet? \nA toy someone plays with?"
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.EVILPUPPET = "PUPPETS ARE EASY TO MANIPULATE. THEY REMIND ME OF HUMANS."
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.EVILPUPPET = "I simply have no logic explanation for these puppet-like creatures."
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.EVILPUPPET = "It's very easy to control, eh!"
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.EVILPUPPET = "I used to have much better puppets."
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
	GLOBAL.STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.EVILPUPPET = "Shall you fight with or against me?"
	GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.EVILPUPPET = "That's a strange toy..."
end

GLOBAL.STRINGS.NAMES.FUNGUSREDHOUSE = "Fungus_Red_House"
GLOBAL.STRINGS.RECIPE_DESC.FUNGUSREDHOUSE = "Red-ish business"

GLOBAL.STRINGS.NAMES.FUNGUSREDHOUSE = "Fungus_Red_House"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.FUNGUSREDHOUSE = "Made of themselves."
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.FUNGUSREDHOUSE = "Mushy... I wonder if I can burn them..."
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.FUNGUSREDHOUSE = "Puny mushy house!"
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.FUNGUSREDHOUSE = "At least they seem to be happy with their home."
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.FUNGUSREDHOUSE = "A FUNGI SPAWNER."
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.FUNGUSREDHOUSE = "An abode that appears to be made out of fungi and wood."
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.FUNGUSREDHOUSE = "They look like pretty comfy houses, eh!"
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.FUNGUSREDHOUSE = "I'm surprised they managed to make half good houses."
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
	GLOBAL.STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.FUNGUSREDHOUSE = "It won't stand once Ragnarok comes!"
	GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.FUNGUSREDHOUSE = "We like this house's color!"
end

GLOBAL.STRINGS.NAMES.OWLCKEN = "owlcken"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.OWLCKEN = ""
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.OWLCKEN = ""
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.OWLCKEN = ""
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.OWLCKEN = ""
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.OWLCKEN = ""
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.OWLCKEN = ""
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.OWLCKEN = ""
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.OWLCKEN = ""
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
	GLOBAL.STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.OWLCKEN = ""
	GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.OWLCKEN = ""
end

GLOBAL.STRINGS.NAMES.FUNGUSRED = "Fungus_Red"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.FUNGUSRED = "A living red funghi"
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.FUNGUSRED = "What... are you?"
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.FUNGUSRED = "Mushroom man is not strong like Wolfgang!"
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.FUNGUSRED = "It acts like a joyful child. A shame it has to play in this demented world."
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.FUNGUSRED = "IT WILL WORK FOR ME IF I FEED IT. WHAT A PRIMITIVE CREATURE."
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.FUNGUSRED = "A fungus of unknown nature."
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.FUNGUSRED = "Hey there, little mushroom guy!"
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.FUNGUSRED = "This creature annoys me."
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
	GLOBAL.STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.FUNGUSRED = "Is it fit for a battle?"
	GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.FUNGUSRED = "Do you want to be our friend?"
end

GLOBAL.STRINGS.NAMES.FUNGUSGREEN = "Fungus_Green"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.FUNGUSGREEN = "A living green funghi"
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.FUNGUSGREEN = "What... are you?"
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.FUNGUSGREEN = "Mushroom man is not strong like Wolfgang!"
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.FUNGUSGREEN = "It acts like a joyful child. A shame it has to play in this demented world."
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.FUNGUSGREEN = "IT WILL WORK FOR ME IF I FEED IT. WHAT A PRIMITIVE CREATURE."
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.FUNGUSGREEN = "A fungus of unknown nature."
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.FUNGUSGREEN = "Hey there, little mushroom guy!"
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.FUNGUSGREEN = "This creature annoys me."
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
	GLOBAL.STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.FUNGUSGREEN = "Is it fit for a battle?"
	GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.FUNGUSGREEN = "Do you want to be our friend?"
end

GLOBAL.STRINGS.NAMES.FUNGUSGREENHOUSE = "Fungus_Green_House"
GLOBAL.STRINGS.RECIPE_DESC.FUNGUSGREENHOUSE = "Green-ish business"

GLOBAL.STRINGS.NAMES.FUNGUSGREENHOUSE = "Fungus_Green_House"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.FUNGUSGREENHOUSE = "Made of themselves."
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.FUNGUSGREENHOUSE = "Mushy... I wonder if I can burn them..."
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.FUNGUSGREENHOUSE = "Puny mushy house!"
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.FUNGUSGREENHOUSE = "At least they seem to be happy with their home."
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.FUNGUSGREENHOUSE = "A FUNGI SPAWNER."
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.FUNGUSGREENHOUSE = "An abode that appears to be made out of fungi and wood."
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.FUNGUSGREENHOUSE = "They look like pretty comfy houses, eh!"
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.FUNGUSGREENHOUSE = "I'm surprised they managed to make half good houses."
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
	GLOBAL.STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.FUNGUSGREENHOUSE = "It won't stand once Ragnarok comes!"
	GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.FUNGUSGREENHOUSE = "We like this house's color!"
end

GLOBAL.STRINGS.NAMES.FUNGUSBLUEHOUSE = "Fungus_Blue_House"
GLOBAL.STRINGS.RECIPE_DESC.FUNGUSBLUEHOUSE = "Blue-ish Business"

GLOBAL.STRINGS.NAMES.FUNGUSBLUEHOUSE = "Fungus_Blue_House"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.FUNGUSBLUEHOUSE = "Made of themselves."
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.FUNGUSBLUEHOUSE = "Mushy... I wonder if I can burn them..."
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.FUNGUSBLUEHOUSE = "Puny mushy house!"
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.FUNGUSBLUEHOUSE = "At least they seem to be happy with their home."
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.FUNGUSBLUEHOUSE = "A FUNGI SPAWNER."
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.FUNGUSBLUEHOUSE = "An abode that appears to be made out of fungi and wood."
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.FUNGUSBLUEHOUSE = "They look like pretty comfy houses, eh!"
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.FUNGUSBLUEHOUSE = "I'm surprised they managed to make half good houses."
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
	GLOBAL.STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.FUNGUSBLUEHOUSE = "It won't stand once Ragnarok comes!"
	GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.FUNGUSBLUEHOUSE = "We like this house's color!"
end

GLOBAL.STRINGS.NAMES.FUNGUSBLUE = "Fungus_Blue"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.FUNGUSBLUE = "A living blue Funghi"
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.FUNGUSBLUE = "What... are you?"
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.FUNGUSBLUE = "Mushroom man is not strong like Wolfgang!"
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.FUNGUSBLUE = "It acts like a joyful child. A shame it has to play in this demented world."
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.FUNGUSBLUE = "IT WILL WORK FOR ME IF I FEED IT. WHAT A PRIMITIVE CREATURE."
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.FUNGUSBLUE = "A fungus of unknown nature."
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.FUNGUSBLUE = "Hey there, little mushroom guy!"
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.FUNGUSBLUE = "This creature annoys me."
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
	GLOBAL.STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.FUNGUSBLUE = "Is it fit for a battle?"
	GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.FUNGUSBLUE = "Do you want to be our friend?"
end

GLOBAL.STRINGS.NAMES.MIMIC = "Berry Brush"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.MIMIC = "There's something strange in that bush..."
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.MIMIC = "I don't think that's a normal berry bush..."
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.MIMIC = "False berries!"
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.MIMIC = "Oh, what a tangled web we weave... when first we practice to deceive."
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.MIMIC = "IT'S A TRAP!"
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.MIMIC = "It seems to be a distant relative of the Dionaea Muscipula."
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.MIMIC = "I don't trust this berry bush!"
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.MIMIC = "It's amazing how easily it tricks every single living thing in this island."
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
	GLOBAL.STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.MIMIC = "Berry bush? Calumny!"
	GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.MIMIC = "False friend!"
end

GLOBAL.STRINGS.NAMES.GROSS = "Gross"
GLOBAL.STRINGS.RECIPE_DESC.GROSS = "Somehow fungus love this."

GLOBAL.STRINGS.NAMES.GROSS = "Gross"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.GROSS = "A piece of YUCK!"
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.GROSS = "Yuck. This is nasty. I want to set this on fire."
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.GROSS = "Smelly ball of yucky."
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.GROSS = "Most of what this world produces turns into this."
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.GROSS = "A DISGUSTINGLY UNPROCESSABLE PIECE OF... GROSS."
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.GROSS = "Feces mixed with decomposed food."
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.GROSS = "This is really gross, eh!"
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.GROSS = "Spoiled food mixed with poop is... disgusting, to say the least."
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
	GLOBAL.STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.GROSS = "Baldur would be ashamed of me."
	GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.GROSS = "Ew. Gross."
end

GLOBAL.STRINGS.NAMES.OWLCKENNEST = "Owlcken nest"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.OWLCKENNEST = ""
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.OWLCKENNEST = ""
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.OWLCKENNEST = ""
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.OWLCKENNEST = ""
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.OWLCKENNEST = ""
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.OWLCKENNEST = ""
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.OWLCKENNEST = ""
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.OWLCKENNEST = ""
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
	GLOBAL.STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.OWLCKENNEST = ""
	GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.OWLCKENNEST = ""
end

GLOBAL.STRINGS.NAMES.OWLCHICK = "owlchick"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.OWLCHICK = ""
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.OWLCHICK = ""
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.OWLCHICK = ""
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.OWLCHICK = ""
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.OWLCHICK = ""
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.OWLCHICK = ""
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.OWLCHICK = ""
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.OWLCHICK = ""
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
	GLOBAL.STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.OWLCHICK = ""
	GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.OWLCHICK = ""
end

GLOBAL.STRINGS.NAMES.OWLSTER = "owlster"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.OWLSTER = ""
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.OWLSTER = ""
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.OWLSTER = ""
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.OWLSTER = ""
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.OWLSTER = ""
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.OWLSTER = ""
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.OWLSTER = ""
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.OWLSTER = ""
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
	GLOBAL.STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.OWLSTER = ""
	GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.OWLSTER = ""
end

GLOBAL.STRINGS.NAMES.DESERTTING = "desertting"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.DESERTTING = ""
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.DESERTTING = ""
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.DESERTTING = ""
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.DESERTTING = ""
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.DESERTTING = ""
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.DESERTTING = ""
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.DESERTTING = ""
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.DESERTTING = ""
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
	GLOBAL.STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.DESERTTING = ""
	GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.DESERTTING = ""
end

local gross_recipe = Recipe( "gross", { Ingredient("poop", 1),Ingredient("spoiled_food", 1) }, RECIPETABS.FARM, TECH.SCIENCE_ONE,nil,nil,nil,2)
gross_recipe.atlas = "images/inventoryimages/gross.xml"

local fungusredhouse_recipe = Recipe( "fungusredhouse", { Ingredient("boards", 1),Ingredient("cutstone", 1),Ingredient("red_cap", 4) }, RECIPETABS.TOWN, TECH.SCIENCE_ONE,"fungusred_placer")
fungusredhouse_recipe.atlas = "images/inventoryimages/fungusredhouse.xml"

local fungusgreenhouse_recipe = Recipe( "fungusgreenhouse", { Ingredient("boards", 1),Ingredient("cutstone", 1),Ingredient("green_cap", 4) }, RECIPETABS.TOWN, TECH.SCIENCE_ONE,"fungusgreen_placer")
fungusgreenhouse_recipe.atlas = "images/inventoryimages/fungusgreenhouse.xml"

local fungusbluehouse_recipe = Recipe( "fungusbluehouse", { Ingredient("boards", 1),Ingredient("cutstone", 1),Ingredient("blue_cap", 4) }, RECIPETABS.TOWN, TECH.SCIENCE_ONE,"fungusblue_placer")
fungusbluehouse_recipe.atlas = "images/inventoryimages/fungusbluehouse.xml"

local puppet_recipe = Recipe( "puppet", { Ingredient("boards", 1),Ingredient("nightmarefuel", 1),Ingredient("silk", 4) }, RECIPETABS.MAGIC, TECH.LOST)
puppet_recipe.atlas = "images/inventoryimages/puppet.xml"
