require "behaviours/chaseandattack"
require "behaviours/wander"
require "behaviours/follow"
require "behaviours/doaction"
require "behaviours/minperiod"
require "behaviours/panic"


local MAX_CHASE_TIME = 20
local MAX_CHASE_DIST = 20

local puppeteer_brain = Class(Brain, function(self, inst)
    Brain._ctor(self, inst)
end)

function puppeteer_brain:CanSpawnChild()
	
	local player = GetPlayer()
	
	return self.inst:GetTimeAlive() > 5 and 
		self.inst.components.leader.numfollowers < TUNING.SPIDERQUEEN_FOLLOWERS and
		 (self.inst.components.combat.target or self.inst:GetDistanceSqToInst(player) < 20*20)

end

function puppeteer_brain:OnStart()

    local root = PriorityNode(
    {

MinPeriod(self.inst, 5, 
			IfNode(function() return self:CanSpawnChild() end, "needs follower", 
				ActionNode(function() self.inst.sg:GoToState("summon") return SUCCESS end, "make child" ))),

        ChaseAndAttack(self.inst, MAX_CHASE_TIME, MAX_CHASE_DIST),
            
    }, .25)
    
    self.bt = BT(self.inst, root)
    
end

return puppeteer_brain