require "brains/evilpuppet_brain"
require "stategraphs/SGpuppet"
require "map/level"

local assets=
{
   
    Asset("ANIM", "anim/puppet.zip"),
    Asset("SOUNDPACKAGE", "sound/puppet.fev"),
    Asset("SOUND", "sound/puppet.fsb"),
}

local prefabs =
{
    "berries",
    "gross",
}

SetSharedLootTable( 'evilpuppetloot',
{
    {'log',  1.0},
    {'silk',  0.3},

})

local function OnAttacked(inst, data)
     inst.components.combat:SetTarget(data.attacker)
end

local function Retarget(inst)
    return FindEntity(inst, 17, function(guy) 
        if guy.components.combat and guy.components.health and not guy.components.health:IsDead() then
            return (guy.components.combat.target == inst or guy:HasTag("character") or guy:HasTag("animal")) or guy:HasTag("prey") or guy:HasTag("fungus") and not (guy.prefab == inst.prefab) or guy:HasTag("puppeteer")
        end
    end)
end
local function KeepTarget(inst, target)
    --give up on dead guys, or guys in the dark, or werepigs
    return inst.components.combat:CanTarget(target)
           and (not target.LightWatcher or target.LightWatcher:IsInLight())
           and not (target.sg and target.sg:HasStateTag("transform") )
end


local function init_prefab()
    
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    inst.Transform:SetFourFaced()   
    MakeCharacterPhysics(inst, 10, 0.25)
    anim:SetBank("puppet")

    anim:SetBuild("puppet")

    inst:AddTag("monster")
    if IsDLCEnabled(CAPY_DLC) then
    inst:AddTag("amphibious")
    MakeAmphibiousCharacterPhysics(inst, 10, 0.25)
    end
    inst:AddComponent("inspectable")

inst:AddComponent("combat")
    inst.components.combat.hiteffectsymbol = "body"
    inst.components.combat:SetDefaultDamage(30)
    inst.components.combat:SetAttackPeriod(2)
    inst.components.combat:SetRetargetFunction(1, Retarget)
    inst.components.combat:SetKeepTargetFunction(KeepTarget)
    inst.components.combat:SetRange(1) 

    inst:AddComponent("locomotor")
    inst.components.locomotor.runspeed = 3



    inst:AddComponent("lootdropper")
    inst.components.lootdropper:SetChanceLootTable('evilpuppetloot')


inst:AddComponent("health")
    inst.components.health:SetMaxHealth(150)
    

inst:SetStateGraph("SGpuppet")
    
local brain = require "brains/evilpuppet_brain"
inst:SetBrain(brain)
return inst
end

return Prefab( "evilpuppet", init_prefab, assets, nil)