require "brains/mimic_brain"
require "stategraphs/SGmimic"

local assets=
{
   
    Asset("ANIM", "anim/mimic.zip"),
    Asset("SOUNDPACKAGE", "sound/mimic.fev"),
    Asset("SOUND", "sound/mimic.fsb"),
}

local prefabs =
{
    "berries",
    "gross",
}

SetSharedLootTable( 'mimicloot',
{
    {'berries',  1.0},
    {'dug_berrybush',  0.3},

})

local function OnAttacked(inst, data)
     inst.components.combat:SetTarget(data.attacker)
end

local function retargetfn(inst)
    return FindEntity(inst, TUNING.TENTACLE_ATTACK_DIST, function(guy) 
        if guy.components.combat and guy.components.health and not guy.components.health:IsDead() then
            return (guy.components.combat.target == inst or guy:HasTag("character") or guy:HasTag("monster") or guy:HasTag("animal")) or guy:HasTag("prey") or guy:HasTag("fungus") and not (guy.prefab == inst.prefab)
        end
    end)
end


local function shouldKeepTarget(inst, target)
    if target and target:IsValid() and target.components.health and not target.components.health:IsDead() then
        local distsq = target:GetDistanceSqToInst(inst)
        return distsq < TUNING.TENTACLE_STOPATTACK_DIST*TUNING.TENTACLE_STOPATTACK_DIST
    else
        return false
    end
end

local function init_prefab()
    
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    
    inst.entity:AddSoundEmitter()
    inst.Transform:SetFourFaced()	
    
	anim:SetBank("mimic")

	anim:SetBuild("mimic")

    inst:AddTag("bush")

	inst:AddComponent("inspectable")

    MakeObstaclePhysics(inst, 0.5)

	inst:AddComponent("combat")
    inst.components.combat.hiteffectsymbol = "body"
    inst.components.combat:SetDefaultDamage(30)
    inst.components.combat:SetAttackPeriod(3)
    inst.components.combat:SetRetargetFunction(GetRandomWithVariance(2, 0.5), retargetfn)
    inst.components.combat:SetKeepTargetFunction(shouldKeepTarget)


    inst:AddComponent("lootdropper")
    inst.components.lootdropper:SetChanceLootTable('mimicloot')


inst:AddComponent("health")
    inst.components.health:SetMaxHealth(100)
    

inst:SetStateGraph("SGmimic")
    
local brain = require "brains/mimic_brain"
inst:SetBrain(brain)
return inst
end

return Prefab( "mimic", init_prefab, assets, nil)