local brain = require "brains/owlcken_brain"
require "stategraphs/SGowlcken"

local assets=
{
    Asset("ANIM", "anim/owlcken.zip"),

}
    
    
local prefabs =
{
    "meat",
}

SetSharedLootTable( 'owlckenloot',
{
    {'meat',  1.0},
    {'meat',  0.1},

})

local MAX_CHASEAWAY_DIST = 1
local MAX_CHASE_DIST = 1

local function Retarget(inst)
    return FindEntity(inst, TUNING.PIG_TARGET_DIST,
        function(guy)
            if not guy.LightWatcher or guy.LightWatcher:IsInLight() then
                return guy:HasTag("monster") and guy.components.health and not guy.components.health:IsDead() and inst.components.combat:CanTarget(guy) and not 
                (inst.components.follower.leader ~= nil and guy:HasTag("abigail"))
            end
        end)
end
local function KeepTarget(inst, target)
    --give up on dead guys, or guys in the dark, or werepigs
    return inst.components.combat:CanTarget(target)
           and (not target.LightWatcher or target.LightWatcher:IsInLight())
           and not (target.sg and target.sg:HasStateTag("transform") )
end
local function ShouldSleep(inst)
    return DefaultSleepTest(inst) and not FindThreatToNest(inst)
end

local function ShouldWake(inst)
    return DefaultWakeTest(inst) or FindThreatToNest(inst)
end

local function OnAttacked(inst, data)
    inst.components.combat:SetTarget(data.attacker)
    inst.components.combat:ShareTarget(data.attacker, 30, function(dude)
        return dude:HasTag("owlster") or dude:HasTag ("owlcken") or dude:HasTag("owlchick")
               and not dude.components.health:IsDead()
               and dude.components.follower
               and dude.components.follower.leader == inst.components.follower.leader
    end, 10)
end
local function fn(Sim)
    local inst = CreateEntity()
    
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    inst.entity:AddLightWatcher()
    --inst.Transform:SetScale(1.5,1.5,1.5)
    local shadow = inst.entity:AddDynamicShadow()
    shadow:SetSize( 2.75, 1)
    inst.Transform:SetFourFaced()
    
    
    ----------
    
    MakeCharacterPhysics(inst, 10, .5)

    
    inst:AddTag("owlcken")
    inst.AnimState:SetBank("owlcken")
    inst.AnimState:SetBuild("owlcken")
    inst.AnimState:PlayAnimation("idle")
    inst.AnimState:Hide("")
    
    inst:AddComponent("locomotor") -- locomotor must be constructed before the stategraph
    inst.components.locomotor.walkspeed = 7

    inst:SetStateGraph("SGowlcken")
    
    
    inst:AddComponent("lootdropper")
    inst.components.lootdropper:SetChanceLootTable('owlckenloot')
   
    ---------------------        
    inst:AddComponent("follower")
    inst.components.follower.maxfollowtime = TUNING.PIG_LOYALTY_MAXTIME+TUNING.PIG_LOYALTY_MAXTIME
    
    ------------------
    inst:AddComponent("health")
    inst.components.health:SetMaxHealth(200)

    ------------------
    
    inst:AddComponent("combat")
    inst.components.combat.hiteffectsymbol = "body"
    inst.components.combat:SetTarget(nil)
    inst.components.combat:SetDefaultDamage(10)
    inst.components.combat:SetAttackPeriod(3)
    inst.components.combat:SetRetargetFunction(3, Retarget)
    inst.components.combat:SetKeepTargetFunction(KeepTarget)
    inst.components.combat:SetRange(3)  

    MakeLargeBurnableCharacter(inst, "head")
    MakeLargeFreezableCharacter(inst, "head")
    ------------------
    
    inst:AddComponent("knownlocations")

    ------------------

    inst:ListenForEvent("attacked", OnAttacked)
    
    inst:AddComponent("eater")
    inst.components.eater:SetOmnivore()
    
    ------------------
    inst:AddComponent("sleeper")
    inst.components.sleeper:SetResistance(3)
    inst.components.sleeper.testperiod = GetRandomWithVariance(6, 2)
    inst.components.sleeper:SetSleepTest(function() 
        local sleep = GetClock():IsDay() and not inst.components.combat.target
        return sleep
    end)
    
    inst.components.sleeper:SetWakeTest(function() 
        local sleep = GetClock():IsNight() or inst.components.combat.target
        return sleep
    end)
    ------------------
    
    inst:AddComponent("inspectable")
    
    ------------------
    
    inst:SetBrain(brain)

    return inst
end

return Prefab( "forest/monsters/owlcken", fn, assets, prefabs) 
