require "brains/puppet_brain"
require "stategraphs/SGpuppet"
require "map/level"

local assets=
{
   
    Asset("ANIM", "anim/puppet.zip"),
    Asset("ATLAS", "images/inventoryimages/puppet.xml"),
    Asset("IMAGE", "images/inventoryimages/puppet.tex"),
    Asset("SOUNDPACKAGE", "sound/puppet.fev"),
    Asset("SOUND", "sound/puppet.fsb"),
}

local prefabs =
{
    "red_cap",
    "gross",
}

SetSharedLootTable( 'puppet2loot',
{

})

local function Retarget(inst)
    return FindEntity(inst, TUNING.PIG_TARGET_DIST,
        function(guy)
        if guy.components.combat and guy.components.health and not guy.components.health:IsDead() then
                return guy:HasTag("") and guy.components.health and not guy.components.health:IsDead() and inst.components.combat:CanTarget(guy) and not 
                (inst.components.follower.leader ~= nil and guy:HasTag("abigail") or guy:HasTag("character"))
            end
        end)
end
local function KeepTarget(inst, target)
    --give up on dead guys, or guys in the dark, or werepigs
    return inst.components.combat:CanTarget(target)
           and (not target.LightWatcher or target.LightWatcher:IsInLight())
           and not (target.sg and target.sg:HasStateTag("transform") )
end

local function OnAttacked(inst, data)
    local attacker = data.attacker

    if attacker and attacker:HasTag("player") then
        inst.components.health:SetVal(0)
    else
        inst.components.combat:SetTarget(attacker)
    end
end

local function init_prefab()
    
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()

inst.entity:AddSoundEmitter()
inst.Transform:SetFourFaced()
    MakeCharacterPhysics(inst, 10, 0.25)
inst:AddTag("puppet")
    if IsDLCEnabled(CAPY_DLC) then
    inst:AddTag("amphibious")
    MakeAmphibiousCharacterPhysics(inst, 10, 0.25)
    end
MakeAmphibiousCharacterPhysics(inst, 10, 0.25)

anim:SetBank("puppet")

anim:SetBuild("puppet")

inst:AddComponent("inspectable")

 
inst:AddComponent("locomotor")
    inst.components.locomotor.runspeed = 3

    inst:AddComponent("follower")
    local player = GetPlayer()
    if player and player.components.leader then
        player.components.leader:AddFollower(inst)
    end

inst:AddComponent("combat")
    inst.components.combat.hiteffectsymbol = "body"
    inst.components.combat:SetTarget(nil)
    inst.components.combat:SetDefaultDamage(30)
    inst.components.combat:SetAttackPeriod(2)
    inst.components.combat:SetRetargetFunction(3, Retarget)
    inst.components.combat:SetKeepTargetFunction(KeepTarget)
    inst.components.combat:SetRange(1) 

            inst:AddComponent("sanityaura")
    inst.components.sanityaura.aura = -TUNING.SANITYAURA_SMALL

inst:AddComponent("lootdropper")
    inst.components.lootdropper:SetChanceLootTable('puppetl2oot')

inst:AddComponent("health")
    inst.components.health:SetMaxHealth(150)
    
inst:ListenForEvent("attacked", OnAttacked)

inst:SetStateGraph("SGpuppet")
    
local brain = require "brains/puppet_brain"
inst:SetBrain(brain)
return inst
end

return Prefab( "puppet", init_prefab, assets, nil)
