require "brains/puppeteer_brain"
require "stategraphs/SGpuppeteer"

local assets=
{
   
    Asset("ANIM", "anim/puppeteer.zip"),
    Asset("SOUNDPACKAGE", "sound/puppeteer.fev"),
    Asset("SOUND", "sound/puppeteer.fsb"),  
}

local prefabs =
{
    "berries",
    "gross",

}

SetSharedLootTable( 'puppeteerloot',
{

    {'puppet_blueprint', 1.0},
})

local function OnAttacked(inst, data)
     inst.components.combat:SetTarget(data.attacker)
end

local function Retarget(inst)
    return FindEntity(inst, TUNING.TENTACLE_ATTACK_DIST, function(guy) 
        if guy.components.combat and guy.components.health and not guy.components.health:IsDead() then
            return (guy.components.combat.target == inst or guy:HasTag("character") or guy:HasTag("animal")) or guy:HasTag("prey") or guy:HasTag("fungus") and not (guy.prefab == inst.prefab)
        end
    end)
end


local function KeepTarget(inst, target)
    if target and target:IsValid() and target.components.health and not target.components.health:IsDead() then
        local distsq = target:GetDistanceSqToInst(inst)
        return distsq < TUNING.TENTACLE_STOPATTACK_DIST*TUNING.TENTACLE_STOPATTACK_DIST
    else
        return false
    end
end


local function init_prefab()
    
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()

    inst.entity:AddSoundEmitter()

    inst.Transform:SetFourFaced() 
    
    anim:SetBank("puppeteer")

    anim:SetBuild("puppeteer")

    inst:AddTag("epic")
    inst:AddTag("monster")    
    inst:AddTag("largecreature")   
    
 MakeCharacterPhysics(inst, 1000, 0.5)

    inst:AddComponent("inspectable")

inst:AddComponent("combat")
    inst.components.combat.hiteffectsymbol = "body"
    inst.components.combat:SetDefaultDamage(60)
    inst.components.combat:SetAttackPeriod(1)
    inst.components.combat:SetRetargetFunction(1, Retarget)
    inst.components.combat:SetKeepTargetFunction(KeepTarget)
    inst.components.combat:SetRange(1) 

    inst:AddComponent("locomotor")
    inst.components.locomotor.runspeed = 3
   


    inst:AddComponent("lootdropper")
    inst.components.lootdropper:SetChanceLootTable('puppeteerloot')


inst:AddComponent("health")
    inst.components.health:SetMaxHealth(900)

        inst:AddComponent("leader")
    

inst:SetStateGraph("SGpuppeteer")
    
local brain = require "brains/puppeteer_brain"
inst:SetBrain(brain)
return inst
end

return Prefab( "puppeteer", init_prefab, assets, nil)
