require("stategraphs/commonstates")

local states=
{

State
    {
        name = "spawn",
        tags = {"busy"},

        onenter = function(inst, playanim)
            inst.Physics:Stop()           
            inst.AnimState:PlayAnimation("spawn",true)       
        end,
        
        events=
        {
            EventHandler("animover", function(inst) inst.sg:GoToState("idle") end),
        },

    },

    State{

        name = "idle",
        tags = {"idle"},

        onenter = function(inst, playanim)
            inst.AnimState:PlayAnimation("idle")
        end,    

    },
    
    State{
        name = "attack",
        tags = {"attack", "canrotate"},
        
        onenter = function(inst)
            inst.components.combat:StartAttack()
            inst.Physics:Stop()
            inst.AnimState:PlayAnimation("atk")
        end,
        
        timeline=
        {
            TimeEvent(0*FRAMES, function(inst) inst.SoundEmitter:PlaySound("mimic/sound/atk1") end),
            TimeEvent(18*FRAMES, function(inst) inst.SoundEmitter:PlaySound("mimic/sound/atk2") end),
            TimeEvent(18*FRAMES, function(inst) inst.components.combat:DoAttack() inst.sg:RemoveStateTag("attack") inst.sg:RemoveStateTag("busy") end),         
        },
        
        events=
        {
            EventHandler("animqueueover", function(inst) inst.sg:GoToState("idle") end),
        },
    },

State{
        name = "death",
        tags = {"busy"},
        
        onenter = function(inst)
            inst.AnimState:PlayAnimation("dead")
            inst.Physics:Stop()
            RemovePhysicsColliders(inst)            
            inst.components.lootdropper:DropLoot(Vector3(inst.Transform:GetWorldPosition()))            
        end,
        timeline=
        {
        TimeEvent(6*FRAMES, function(inst) inst.SoundEmitter:PlaySound("mimic/sound/dead") end),
        },
    },

     State{
        name = "hit",
        tags = {"busy"},

        onenter = function(inst)
            inst.AnimState:PlayAnimation("hit")
            inst.Physics:Stop()
        end,

        events=
        {
            EventHandler("animover", function(inst) inst.sg:GoToState("idle") end ),
        },
    },

}

local event_handlers=
{
EventHandler("death", function(inst) inst.sg:GoToState("death") end),
    EventHandler("doattack", function(inst) if inst.components.health:GetPercent() > 0 and not inst.sg:HasStateTag("busy") then inst.sg:GoToState("attack") end end),
}



return StateGraph("SGmimic", states, event_handlers, "idle", {})